.\"     $NetBSD: gcore.1,v 1.12 2005/01/11 09:46:17 wiz Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Christos Zoulas.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd January 9, 2005
.Dt GCORE 1
.Os
.Sh NAME
.Nm gcore
.Nd get core images of running process
.Sh SYNOPSIS
.Nm
.Op Fl c Ar corename
.Ar pid
.Op Ar pid ...
.Sh DESCRIPTION
.Nm
creates a core image of the specified processes
suitable for use with
.Xr gdb  1 .
By default, the core is written to the file
.Dq Pa \*[Lt]progname\*[Gt].core ,
where
.Dq Aq Pa progname
is the program name of the process corresponding to the pid that is given on
the command line.
This filename can be changed by supplying the
.Fl c Ar corename
argument, or setting
.Dq Pa proc.\*[Lt]pid\*[Gt].corename
with
.Xr sysctl 8 .
.Sh FILES
.Bl -tag -width /var/log/messages -compact
.It Pa \*[Lt]progname\*[Gt].core
The core image.
.El
.Sh SEE ALSO
.Xr gdb 1 ,
.Xr sysctl 8
.Sh HISTORY
.Nm
appeared in BSD 4.2, disappeared in
.Nx 1.2 ,
and reappeared in
.Nx 2.0 .
.Sh BUGS
The process is not stopped while the core file is generated, so it might
not be consistent.
